Indexers - Get Status
返回索引器的当前状态和执行历史记录。
GET {endpoint}/indexers('{indexerName}')/search.status?api-version=2025-05-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
搜索服务的终结点 URL。 |
|
indexer
|
path | True |
string |
要为其检索状态的索引器的名称。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
随请求一起发送的跟踪 ID,以帮助进行调试。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK | ||
| Other Status Codes |
错误响应。 |
示例
SearchServiceGetIndexerStatus
示例请求
GET https://myservice.search.windows.net/indexers('myindexer')/search.status?api-version=2025-05-01-preview
示例响应
{
"status": "running",
"lastResult": {
"status": "success",
"statusDetail": null,
"errorMessage": null,
"startTime": "2014-11-26T03:37:18.853Z",
"endTime": "2014-11-26T03:37:19.012Z",
"errors": [],
"warnings": [],
"itemsProcessed": 11,
"itemsFailed": 0,
"initialTrackingState": null,
"finalTrackingState": null,
"mode": "indexingAllDocs"
},
"executionHistory": [
{
"status": "success",
"statusDetail": null,
"errorMessage": null,
"startTime": "2014-11-26T03:37:18.853Z",
"endTime": "2014-11-26T03:37:19.012Z",
"errors": [],
"warnings": [],
"itemsProcessed": 11,
"itemsFailed": 0,
"initialTrackingState": null,
"finalTrackingState": null,
"mode": "indexingAllDocs"
},
{
"status": "transientFailure",
"statusDetail": null,
"errorMessage": null,
"startTime": "2014-11-26T03:28:10.125Z",
"endTime": "2014-11-26T03:28:12.007Z",
"errors": [
{
"key": "",
"errorMessage": "Document key cannot be missing or empty.",
"statusCode": 400,
"name": null,
"details": null,
"documentationLink": null
},
{
"key": "document id 1",
"errorMessage": "Could not read the value of column 'foo' at index '0'.",
"statusCode": 400,
"name": "DocumentExtraction.AzureBlob.MyDataSource",
"details": "The file could not be parsed.",
"documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
}
],
"warnings": [
{
"key": "document id",
"message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob.",
"name": null,
"details": null,
"documentationLink": null
},
{
"key": "document id 2",
"message": "Document was truncated to 50000 characters.",
"name": "Enrichment.LanguageDetectionSkill.#4",
"details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
"documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
}
],
"itemsProcessed": 1,
"itemsFailed": 2,
"initialTrackingState": null,
"finalTrackingState": null,
"mode": "indexingAllDocs"
}
],
"limits": {
"maxRunTime": "PT22H",
"maxDocumentExtractionSize": 256000000,
"maxDocumentContentCharactersToExtract": 4000000
},
"currentState": {
"mode": "indexingAllDocs",
"allDocsInitialTrackingState": null,
"allDocsFinalTrackingState": null,
"resetDocsInitialTrackingState": null,
"resetDocsFinalTrackingState": null,
"resetDocumentKeys": [],
"resetDatasourceDocumentIds": [],
"resyncInitialTrackingState": null,
"resyncFinalTrackingState": null
}
}
定义
| 名称 | 说明 |
|---|---|
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Indexer |
表示定义和指示索引器的当前执行的所有状态。 |
|
Indexer |
表示单个索引器执行的结果。 |
|
Indexer |
表示单个索引器执行的状态。 |
|
Indexer |
详细说明单个索引器执行的状态。 |
|
Indexer |
表示总体索引器状态。 |
|
Indexing |
表示索引器正在执行的模式。 |
|
Search |
表示项级或文档级索引错误。 |
|
Search |
|
|
Search |
表示索引器的当前状态和执行历史记录。 |
|
Search |
表示项级警告。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
IndexerCurrentState
表示定义和指示索引器的当前执行的所有状态。
| 名称 | 类型 | 说明 |
|---|---|---|
| allDocsFinalTrackingState |
string |
在对数据源中的所有文档编制索引完成时更改跟踪状态值。 |
| allDocsInitialTrackingState |
string |
更改在数据源中的所有文档上开始编制索引时使用的跟踪状态。 |
| mode |
索引器正在运行的模式。 |
|
| resetDatasourceDocumentIds |
string[] |
已重置的数据源文档 ID 的列表。 数据源文档 ID 是数据源中数据的唯一标识符。 索引器将选择性地重新引入这些 ID。 |
| resetDocsFinalTrackingState |
string |
在选择时索引完成时更改跟踪状态值,重置数据源中的文档。 |
| resetDocsInitialTrackingState |
string |
更改在选择时开始编制索引时使用的跟踪状态,重置数据源中的文档。 |
| resetDocumentKeys |
string[] |
已重置的文档密钥列表。 文档键是搜索索引中数据的文档的唯一标识符。 索引器将有选择地重新引入这些键。 |
| resyncFinalTrackingState |
string |
在数据源中的选择性选项上完成索引时更改跟踪状态值。 |
| resyncInitialTrackingState |
string |
更改在数据源中的选择性选项上启动索引时使用的跟踪状态。 |
IndexerExecutionResult
表示单个索引器执行的结果。
| 名称 | 类型 | 说明 |
|---|---|---|
| endTime |
string (date-time) |
如果执行已完成,则此索引器执行的结束时间。 |
| errorMessage |
string |
指示顶级错误的错误消息(如果有)。 |
| errors |
项级索引错误。 |
|
| finalTrackingState |
string |
更改索引器执行完成的跟踪状态。 |
| initialTrackingState |
string |
更改索引器执行启动的跟踪状态。 |
| itemsFailed |
integer (int32) |
在此索引器执行期间未能编制索引的项数。 |
| itemsProcessed |
integer (int32) |
在此索引器执行期间处理的项数。 这包括已成功处理的项和尝试索引但失败的项。 |
| mode |
索引器正在运行的模式。 |
|
| startTime |
string (date-time) |
此索引器执行的开始时间。 |
| status |
此索引器执行的结果。 |
|
| statusDetail |
此索引器执行的结果。 |
|
| warnings |
项级索引警告。 |
IndexerExecutionStatus
表示单个索引器执行的状态。
| 值 | 说明 |
|---|---|
| transientFailure |
索引器调用失败,但失败可能是暂时性的。 索引器调用将按计划继续。 |
| success |
索引器执行成功完成。 |
| inProgress |
索引器执行正在进行中。 |
| reset |
索引器已重置。 |
IndexerExecutionStatusDetail
详细说明单个索引器执行的状态。
| 值 | 说明 |
|---|---|
| resetDocs |
指示发生的重置是调用 ResetDocs。 |
| resync |
指示根据数据源中的选项有选择地重新同步。 |
IndexerStatus
表示总体索引器状态。
| 值 | 说明 |
|---|---|
| unknown |
指示索引器处于未知状态。 |
| error |
指示索引器遇到一个错误,无需人工干预即可更正。 |
| running |
指示索引器正常运行。 |
IndexingMode
表示索引器正在执行的模式。
| 值 | 说明 |
|---|---|
| indexingAllDocs |
索引器正在为数据源中的所有文档编制索引。 |
| indexingResetDocs |
索引器正在为数据源中的文档编制选择性索引,从而重置文档。 正在编制索引的文档在索引器状态上定义。 |
| indexingResync |
索引器正在从数据源重新同步和索引选择性选项。 |
SearchIndexerError
表示项级或文档级索引错误。
| 名称 | 类型 | 说明 |
|---|---|---|
| details |
string |
此外,有关错误的详细详细信息,可帮助调试索引器。 这可能并非始终可用。 |
| documentationLink |
string |
指向这些错误类故障排除指南的链接。 这可能并非始终可用。 |
| errorMessage |
string |
描述处理项时发生的错误的消息。 |
| key |
string |
索引失败的项的键。 |
| name |
string |
错误源自的源的名称。 例如,这可能指附加技能集中的特定技能。 这可能并非始终可用。 |
| statusCode |
integer (int32) |
指示索引操作失败的原因的状态代码。 可能的值包括:400 表示格式不正确的输入文档、未找到文档的 404、版本冲突为 409、索引暂时不可用时为 422;对于服务太忙时为 503。 |
SearchIndexerLimits
| 名称 | 类型 | 说明 |
|---|---|---|
| maxDocumentContentCharactersToExtract |
number (int64) |
将从选取的文档中提取的最大字符数进行索引编制。 |
| maxDocumentExtractionSize |
number (int64) |
文档的最大大小(以字节为单位),这些大小将被视为对索引有效。 |
| maxRunTime |
string (duration) |
允许索引器为一次执行运行的最大持续时间。 |
SearchIndexerStatus
表示索引器的当前状态和执行历史记录。
| 名称 | 类型 | 说明 |
|---|---|---|
| currentState |
定义和指示索引器的当前执行的所有状态。 |
|
| executionHistory |
最近索引器执行的历史记录,按反向时间顺序排序。 |
|
| lastResult |
最新或正在进行的索引器执行的结果。 |
|
| limits |
索引器的执行限制。 |
|
| status |
总体索引器状态。 |
SearchIndexerWarning
表示项级警告。
| 名称 | 类型 | 说明 |
|---|---|---|
| details |
string |
此外,有关警告的详细详细信息,可帮助调试索引器。 这可能并非始终可用。 |
| documentationLink |
string |
指向这些警告类故障排除指南的链接。 这可能并非始终可用。 |
| key |
string |
生成警告的项的键。 |
| message |
string |
描述处理项时发生的警告的消息。 |
| name |
string |
发出警告的源的名称。 例如,这可能指附加技能集中的特定技能。 这可能并非始终可用。 |